﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：店铺信息  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/3/2 13:52:13 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("store_info")]
    public class StoreInfoEntity : DEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "名称不能为空")]
        public string Name { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 负责人
        /// </summary>
        public string Directors { get; set; }
    }
}
