﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/17 17:29:52 
    /// 描    述 ：  
    /// </summary>
    public class BucketMaterialsRecordDto
    {
        /// <summary>
        /// 桶Id
        /// </summary>
        public string BucketId { get; set; }
        /// <summary>
        /// 物料Id
        /// </summary>
        public string MaterialId { get; set; }
        /// <summary>
        /// 添加时间
        /// </summary>
        public DateTime? CreateTime { get; set; }
    }
    public class BucketMaterialsRecordAddInput : BucketMaterialsRecordDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class BucketMaterialsRecordUpdateInput : BucketMaterialsRecordDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class BucketMaterialsRecordDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class BucketMaterialsRecordQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class BucketMaterialsRecordOutput : BucketMaterialsRecordDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 原料名称
        /// </summary>
        public string MaterialName { get; set; }
        /// <summary>
        /// 桶名称
        /// </summary>
        public string BucketName { get; set; }
    }
}
