﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：桶记录  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/17 17:37:03 
    /// 描    述 ：  
    /// </summary>
    public interface IBucketMaterialsRecordService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(BucketMaterialsRecordAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(BucketMaterialsRecordDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(BucketMaterialsRecordUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<BucketMaterialsRecordOutput>> List();
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<BucketMaterialsRecordOutput>> PagedList(BucketMaterialsRecordQueryPageInput input);
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<BucketMaterialsRecordOutput> Detail(string Id);
    }
}
