﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：配方物料Dto类  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/2 16:12:06 
    /// 描    述 ：  
    /// </summary>
    public class RecipeMaterialDto : RecipeMaterialEntity
    {

    }
    /// <summary>
    /// 增加
    /// </summary>
    public class RecipeMaterialAddInput
    {
        /// <summary>
        /// 物料Id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
        /// </summary>
        public string MaterialId { get; set; }
        /// <summary>
        /// 配方Id
        /// </summary>
        public string RecipesId { get; set; }
        /// <summary>
        /// 通道
        /// </summary>
        public string Outlet { get; set; }
        /// <summary>
        /// 顺序
        /// </summary>
        public string Sort { get; set; }
        /// <summary>
        /// 时间(s)
        /// </summary>
        public string Time { get; set; }
    }
    /// <summary>
    /// 更新
    /// </summary>
    public class RecipeMaterialUpdateInput : RecipeMaterialDto
    {

    }
    /// <summary>
    /// 删除
    /// </summary>
    public class RecipeMaterialDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 不分页
    /// </summary>
    public class RecipeMaterialQueryInput
    {
        /// <summary>
        /// 配方Id
        /// </summary>
        public string RecipesId { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class RecipeMaterialQueryPageInput : RequestPage
    {

    }
    /// <summary>
    /// 输出
    /// </summary>
    public class RecipeMaterialOutput : RecipeMaterialDto
    {
        /// <summary>
        /// 配方名称
        /// </summary>
        public string RecipesName { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MaterialName { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MaterialCode { get; set; }
    }
}
