﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：配方Dto类  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/2 16:12:06 
    /// 描    述 ：  
    /// </summary>
    public class RecipesInfoDto : RecipesInfoEntity
    {

    }
    /// <summary>
    /// 增加
    /// </summary>
    public class RecipesInfoAddInput : RecipesInfoDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class RecipesInfoUpdateInput : RecipesInfoDto
    {

    }
    /// <summary>
    /// 删除
    /// </summary>
    public class RecipesInfoDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class RecipesInfoQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 分组id
        /// </summary>
        public string GroupId { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class RecipesInfoOutput : RecipesInfoDto
    {
        /// <summary>
        /// 分组Id
        /// </summary>
       public string GroupId { get; set; }
    }

    public class RecipesGroupInput : RecipesGroupEntity
    {

    }
}
