﻿export default [
  { path: '/user', layout: false, routes: [{ path: '/user/login', component: './user/login' }] },
  { path: '/', icon: 'SmileOutlined', component: './welcome', name: '数据看板' },

  {
    icon: 'SettingOutlined',
    path: '/system',
    name: '系统管理',
    routes: [
      { path: '/system/account', name: '账号管理', component: './system/account' },
      { path: '/system/user', name: '人员管理', component: './system/user' },
      { path: '/system/role', name: '角色管理', component: './system/role' },
      { path: '/system/module', name: '模块管理', component: './system/module' },
      { path: '/system/authTemplate', name: '权限管理', component: './system/authTemplate' },
    ],
  },
  {
    path: '/base', icon: 'SettingOutlined', name: '基础数据管理',
    routes: [{ path: '/base/deviceinfo', name: '设备管理', component: './deviceInfo/index' },
    { path: '/base/lc', name: '料仓管理', component: './logs/index' },
    { path: '/base/materials', name: '原料管理', component: './materials/index' },
    { path: '/base/tong', name: '桶管理', component: './logs/index' },
    { path: '/base/recipe', name: '成品管理', component: './recipe/index' },
    ]
  },
  {
    path: '/line', icon: 'SettingOutlined', name: '产线管理',
    routes: [
    { path: '/line/log1', name: '产线设备管理', component: './logs/index' },
    { path: '/line/log2', name: '分组', component: './logs/index' }
    ]
  },
  {
    path: '/recipe', icon: 'SettingOutlined', name: '配方工艺管理',
    routes: [
    { path: '/recipe/log1', name: '配方管理', component: './recipe/index' },
    { path: '/recipe/log2', name: '炒锅工艺', component: './recipe/index' },
    { path: '/recipe/log3', name: '反应釜工艺', component: './recipe/index' }
  ]
  },
  { path: '/work', icon: 'SettingOutlined', name: '工单管理', component: './workInfo/index' },
  {
    path: '/data', icon: 'SettingOutlined', name: '数据服务',
    routes: [
      { path: '/data/log1', name: '操作日志', component: './logs/index' },
      { path: '/data/log2', name: '运行日志', component: './logs/index' },
      { path: '/data/log3', name: '报警日志', component: './logs/index' },
      { path: '/data/log4', name: '数据采集', component: './logs/index' }
    ]
  },
  { path: '*', layout: false, component: './404' },
];
