declare namespace UserTypes {
    // 登录参数类型
    type LoginParams = {
        account: string,
        pwd: string
    }

    //人员数据类型
    type PersonnelType = {
       /**
     * 
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    id?: string | null;
    /**
     * 排序
     * @type {number}
     * @memberof TBEmployeeDTO
     */
    sort?: number;
    /**
     * 员工姓名
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    name?: string | null;
    /**
     * 1男2女
     * @type {number}
     * @memberof TBEmployeeDTO
     */
    gender?: number;
    /**
     * 手机号
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    phone?: string | null;
    /**
     * 员工IC卡
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    icCard?: string | null;
    /**
     * 头像
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    header?: string | null;
    /**
     * 入职时间
     * @type {Date}
     * @memberof TBEmployeeDTO
     */
    joinDate?: Date;
    /**
     * 离职时间
     * @type {Date}
     * @memberof TBEmployeeDTO
     */
    outDate?: Date | null;
    /**
     * 身份证
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    idCard?: string | null;
    /**
     * 1在职2出差3离职
     * @type {number}
     * @memberof TBEmployeeDTO
     */
    stutas?: number;
    /**
     * 角色Id
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    tB_Role_Id?: string | null;

    isAccount: boolean;
    }

    //人员分页查询参数
    type UserPageParams = {
        keyword: string,
        joinDate: string?,
        status: number?,
        pageIndex: number,
        pageSize: number,
        gender: number?,
    }
}