﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：物料 
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/2 13:52:00 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("materials_info")]
    public class MaterialsInfoEntity: DEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "名称不能为空")]
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        [Required(ErrorMessage = "编码不能为空")]
        public string Code { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }
        /// <summary>
        /// 每秒出水量(g)
        /// </summary>
        public string Wos { get; set; }
    }
}
