﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：授权对象表  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/4 17:31:39 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("sys_authorizetemplatemap")]
    public class AuthorizeTemplateMapEntity : DEntityBase
    {
        /// <summary>
        /// 授权模板编号
        /// </summary>
        public string TemplateId { get; set; }

        /// <summary>
        /// 授权对象编号（用户编号，角色编号）
        /// </summary>
        public string ObjectId { get; set; }
        /// <summary>
        /// 授权类型 1:用户，2:角色
        /// </summary>
        public int AuthorizeType { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDeleted { get; set; }
    }
}
