﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：模块菜单表  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/4 17:32:15 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("sys_module")]
    public class ModuleEntity : DEntityBase
    {
        /// <summary>
        /// 类别 1:菜单，2:视图，3:功能
        /// </summary>
        public int Category { get; set; }

        /// <summary>
        /// 菜单打开方式 0:框架内嵌，1:新开页面
        /// </summary>
        public int OpenType { get; set; }

        /// <summary>
        /// 父级编号
        /// </summary>
        public string ParentId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { set; get; }

        /// <summary>
        /// 图标
        /// </summary>
        public string Icon { set; get; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Url { set; get; }
        /// <summary>
        /// 状态
        /// </summary>
        public bool IsDisabled { get; set; }
    }
}
