﻿///<summary>
/// 名    称 :[账号信息]实体基础
/// 创 建 人 :yangxiao
/// 创建时间 :  2023/1/3 10:21:42
/// 描    述 
/// </summary>
namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// [账号信息]入参基础
    /// </summary>
    public class AuthorModuleItemInput
    {
        /// <summary>
        /// 模板Id
        /// </summary>
        public string TB_TemplateId { get; set; }
        /// <summary>
        /// 模块Id
        /// </summary>
        public List<string> TB_ModuleIds { get; set; }
    }
    /// <summary>
    /// [账号信息]添加入参
    /// </summary>
    public class AuthorModuleItemAddInput : AuthorModuleItemInput
    {

    }
    /// <summary>
    /// [账号信息]修改入参
    /// </summary>
    public class AuthorModuleItemUpdateInput : AuthorModuleItemInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [账号信息]删除入参
    /// </summary>
    public class AuthorModuleItemDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [账号信息]普通查询入参
    /// </summary>
    public class AuthorModuleItemQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [账号信息]分页查询入参
    /// </summary>
    public class AuthorModuleItemQueryPageInput : RequestPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
}