///<summary>
/// 名    称 :[授权模块]实体基础
/// 创 建 人 :yangxiao
/// 创建时间 :  2023/1/3 10:21:42
/// 描    述 
/// </summary>
namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// [授权模块]入参基础
    /// </summary>
    public class AuthorizeTemplateInput
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Remark { get; set; }
    }
    /// <summary>
    /// [授权模块]添加入参
    /// </summary>
    public class AuthorizeTemplateAddInput : AuthorizeTemplateInput
    {

    }
    /// <summary>
    /// [授权模块]修改入参
    /// </summary>
    public class AuthorizeTemplateUpdateInput : AuthorizeTemplateInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权模块]删除入参
    /// </summary>
    public class AuthorizeTemplateDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权模块]普通查询入参
    /// </summary>
    public class AuthorizeTemplateQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权模块]分页查询入参
    /// </summary>
    public class AuthorizeTemplateQueryPageInput : RequestPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
        /// <summary>
        /// 关键字
        /// </summary>
        public string Keyword { get; set; }
    }
}